### Class

# Phosh ToplevelThumbnail

#### Description [src]

    final class Phosh.ToplevelThumbnail : Phosh.Thumbnail
    {
      /* No available fields */
    }

Represents an image snapshot of PhoshToplevel obtained via phosh-private and wlr-screencopy Wayland protocols.

#### Ancestors

- PhoshThumbnail
- GObject

#### Constructors

###### phosh_toplevel_thumbnail_new_from_toplevel

No description available.

#### Instance methods

##### Methods inherited from PhoshThumbnail (3)

###### phosh_thumbnail_get_image

No description available.

###### phosh_thumbnail_get_size

No description available.

###### phosh_thumbnail_is_ready

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.ToplevelThumbnail:handle

No description available.

##### Properties inherited from PhoshThumbnail (1)

###### Phosh.Thumbnail:ready

Whether the image data is ready to be used.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshToplevelThumbnailClass {
      PhoshThumbnailClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshThumbnailClass`

  No description available.